Subject: Re: bug#58877: 29.0.50; [PATCH] When killing Emacs from a client frame with no other frames, Emacs shows a useless error prompt

From: Eli Zaretskii <[email-masked]>
Date: Sun, 30 Oct 2022 08:14:44 +0200

> Date: Sat, 29 Oct 2022 14:33:42 -0700
> From: Jim Porter <[email-masked]>
> 
> Attached is a patch to do this. Note that I named the new argument 
> "noframe" because that matches the existing code in server.el (see 
> 'server-delete-client'). It's a bit of a misnomer though, and maybe 
> "keep-frames" would be better...

Hmm... it doesn't look very elegant to add to server-start an extra
argument whose purpose is to affect server-delete-client.  Can we do
this in some more elegant way?  For example, how about making most of
the code in server-start an internal function with an additional
argument, and then have server-start and server-force-stop call that
internal function?  At the very least the new argument to server-start
shouldn't be advertised, I think, since it's entirely for internal use
by us.

Thanks.